%%
%% Copyright (C) 2005 Eric Chassande-Mottin, CNRS (France)
%%
%% This program may be freely copied under the terms of the 
%% GNU General Public License (GPL), version 2, or at your 
%% option any later version.
%%

%% Two examples of Wigner-Ville of noise free chirp signals

clear;

debug=0;              % save : yes=0, no=1

%% -- signal 1
N=128;
t=(0:N-1);
p=pi/2*t.^2/(N-1);
x1=exp(i*p')/sqrt(N);

%% -- compute TFR
w1=dwv(x1);
w1=[w1(N+1:2*N,:);w1(1:N,:)];

%% -- signal 2
p=pi*2*t.^2/N^2.*(N-2*t/3);
x2=exp(i*p')/sqrt(N);

%% -- compute TFR
w2=dwv(x2);
w2=[w2(N+1:2*N,:);w2(1:N,:)];

if (debug==0)
  save -mat-binary figure0.mat w1 w2 N
end;
