%%
%% Copyright (C) 2005 Eric Chassande-Mottin, CNRS (France)
%%
%% This program may be freely copied under the terms of the 
%% GNU General Public License (GPL), version 2, or at your 
%% option any later version.
%%


%% compare ROC curves of various detection algorithms, computational code

clear
 
%% -- define SNR
snr=10;

%% -- list of detection algorithms
algo=['cc1';'sts_';'tf_c'];
[n_alg,dummy]=size(algo);

%% -- main loop

n=1;
[pfa,pfd,thr,N,n_trial]=figure1_calc(deblank(algo(n,:)),snr);
n_thr=length(thr);
pfa_all=zeros(n_thr,n_alg);
pfd_all=zeros(n_thr,n_alg);
thr_all=zeros(n_thr,n_alg);
pfa_all(:,n)=pfa;
pfd_all(:,n)=pfd;
thr_all(:,n)=thr';   

printf("saving data... ");
save -mat-binary figure1.mat algo pfa_all pfd_all thr_all N snr n_trial
printf("done\n");

if n_alg>1
  for n=2:n_alg,
    [pfa,pfd,thr]=figure1_calc(deblank(algo(n,:)),snr);
    pfa_all(:,n)=pfa;
    pfd_all(:,n)=pfd;
    thr_all(:,n)=thr';   

    printf("saving data... ");
    save -mat-binary figure1.mat algo pfa_all pfd_all thr_all N snr n_trial
    printf("done\n");

  end;  
end;

