%%
%% Copyright (C) 2005 Eric Chassande-Mottin, CNRS (France)
%%
%% This program may be freely copied under the terms of the 
%% GNU General Public License (GPL), version 2, or at your 
%% option any later version.
%%


%% compute the theoretical ROC curves for the quadrature matched filter

function [pfa,pd]=roc_matchedfilter(N,pfamin,snr)
  %% Usage: [pfa,pd]=roc_matchedfilter(N,pfamin,snr)

pfamax=0.9;

lmax=-2*log(pfamin);
lmin=-2*log(pfamax);

l=logspace(log10(lmin),log10(lmax),N);

pfa=exp(-l/2);

%keyboard

pd=zeros(N,1);
c=snr^2/2; n_iter=20;
for jcol=0:n_iter-1,
  f=gammainc(l/2,1+jcol);
  pd=pd+c^jcol/factorial(jcol)*f';
end;
pd=1-exp(-c)*pd;

endfunction;

